{ stdenv, pkgs, ... }:

with pkgs;
stdenv.mkDerivation rec {
  name = "x11vnc-service";
  version = "0.0.0";
  src = ./.;

  buildInputs = [ x11vnc ];

  dontBuild = true;
  installPhase = ''
    cat > $out/lib/systemd/user/x11vnc.service <<_EOF_
    [Unit]
    Description=VNC server
    
    [Service]
    Type=simple
    ExecStart=${x11vnc}/bin/x11vnc -shared -forever -passwd k-ot
    Restart=on-failure
    
    _EOF_
  '';
}
