name:

(import ../outer-defaults.nix name) // {
  config = { config, pkgs, lib, ... }: {
    imports = [ ../inner-defaults.nix ];

    c3d2.hq.yggdrasil.enableGateway = true;

    networking.firewall.allowedTCPPorts = [ config.services.uhub.port ];

    networking.interfaces.eth0.ipv6.addresses = [{
      address = "310:5217:69c0:9afc:0:576d:1184:c3d2";
      prefixLength = 64;
    }]; # Old address used by some clients

    services.uhub = {
      enable = true;
      enableTLS = false;
      hubConfig = ''
        hub_name=c3d2
        hub_description=<<</>>
      '';
      plugins.history.enable = true;
      plugins.welcome = {
        enable = true;
        motd = config.users.motd;
      };
    };

  };

}
