name:

(import ../outer-defaults.nix name) // {

  bindMounts."/mnt/music" = {
    hostPath = "/srv/ceph/c3d2/rpool/Music";
    isReadOnly = true;
  };

  config = { config, pkgs, lib, ... }:

    {
      imports = [ ../inner-defaults.nix ];

      services.mpd = {
        enable = true;
        network.listenAddress = "any";
        musicDirectory = "/mnt/music";
        extraConfig = ''
          default_permissions "read,add,control,admin"

          audio_output {
            type "null"
            name "My Null Output"
          }

          filesystem_charset "UTF-8"
        '';
      };

    };

}
