name:

(import ../outer-defaults.nix name) // {

  bindMounts."/srv/nfs" = {
    hostPath = "/srv/ceph/c3d2/nfs";
    isReadOnly = true;
  };

  config = { config, pkgs, lib, ... }: {
    imports = [ ../inner-defaults.nix ];

    c3d2.hq.statistics.enable = true;

    services.nfs.server = {
      enable = true;
      exports = "/srv/nfs *(rw)";
    };

    networking.firewall.enable = false;
  };

}
